VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Properties
VisimBox.Renderer.Render2D.SpriteBatch Struct Reference

Batch of the sprites and associated texture. More...

Inheritance diagram for VisimBox.Renderer.Render2D.SpriteBatch:

List of all members.

## Public Member Functions
| SpriteBatch (Texture t, List< SpriteInfo > list)
| SpriteBatch (Texture t, SpriteInfo[] sprites)
| SpriteBatch (Texture t, List< Vertex2D > list)
void | Dispose ()
void | ResourceDisposing (Resources.IResource resource)
bool | ResourceReplaced (Resources.IResource original, Resources.IResource newresource)
## Public Attributes
Vertex2D[] | Vertices
| Array of sprites.
## Properties
Texture | Texture`[get]`
| Associated texture.

## Detailed Description

Batch of the sprites and associated texture.

## Constructor & Destructor Documentation

VisimBox.Renderer.Render2D.SpriteBatch.SpriteBatch | ( | Texture | t,
|  | List< SpriteInfo > | list
| ) |  |

VisimBox.Renderer.Render2D.SpriteBatch.SpriteBatch | ( | Texture | t,
|  | SpriteInfo[] | sprites
| ) |  |

VisimBox.Renderer.Render2D.SpriteBatch.SpriteBatch | ( | Texture | t,
|  | List< Vertex2D > | list
| ) |  |

## Member Function Documentation

void VisimBox.Renderer.Render2D.SpriteBatch.Dispose | ( |  | ) |

void VisimBox.Renderer.Render2D.SpriteBatch.ResourceDisposing | ( | Resources.IResource | resource | ) |

bool VisimBox.Renderer.Render2D.SpriteBatch.ResourceReplaced | ( | Resources.IResource | original,
|  | Resources.IResource | newresource
| ) |  |

## Member Data Documentation

Vertex2D [] VisimBox.Renderer.Render2D.SpriteBatch.Vertices

Array of sprites.

## Property Documentation

Texture VisimBox.Renderer.Render2D.SpriteBatch.Texture`[get]`

Associated texture.

The documentation for this struct was generated from the following file:

- SpriteInfo.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events